Gentoo Archives: gentoo-perl

From: Michele Beltrame <mb@××××××××××.info>
To: gentoo-perl@l.g.o
Subject: Re: [gentoo-perl] Overlay users, Want to try Task::Kensho?
Date: Wed, 19 Aug 2009 08:26:36
Message-Id: 4A8BB785.5080002@cattlegrid.info
In Reply to: [gentoo-perl] Overlay users, Want to try Task::Kensho? by Kent Fredric
Hi Kent!

First of all, thanks for the great work. I'd personally be very happy is
Task::Kensho and dependencies move to the main branch, as it's a
convenient module to get "much of what is needed for Modern Perl". I'd
also be willing to help with bumps and other maintenance tasks.

I'm emerging Task-Kensho (perl 5.10.0-r2) and nearly everything went
fine so far. Just a couple of things:

- dev-perl/Bundle-CPAN contains a dependency to a non-existent ebuild
dev-perl/Parse-CPAN-Meta. It should depend on virtual/perl-Parse-CPAN-Meta.

- perl-core/ExtUtils-Install conflicts with perl-core/ExtUtils-MakeMaker
6.50 I have on my system (conflicting file is Install.pm). I bumped
MakeMaker (in the master branch only) and the problem disappeared.

- Manifest of dev-perl/MooseX-Types-Path-Class/ contains wrong digests
(!), it's got to be rebuilt

Later,
Michele.

-- 
Michele Beltrame
http://www.italpro.net/ - mb@×××××××.net
SkyPe: arthas77 - Twitter: mbeltrame

Replies

Subject Author
Re: [gentoo-perl] Overlay users, Want to try Task::Kensho? Kent Fredric <kentfredric@×××××.com>